﻿using ETHZ.C0284H.Calculator.Instruct.Visitor;

namespace ETHZ.C0284H.Calculator.Instruct.Commands
{
    public sealed class EvaluateInstruct : CommandInstruct
    {
        public EvaluateInstruct() : base(CalculatorCommandType.CMD_EVALUATE)
        {
        }

        public override void Accept(ICalculatorInstructVisitor visitor)
        {
            if (visitor != null)
            {
                visitor.VisitCommand(this);
            }
        }
    }
}